# -*- coding: utf-8 -*-

import math
from collections import defaultdict

freqs = defaultdict(int)

with open("/Users/filippogrillotti/Desktop/output.txt", "rb") as infile:
    for line in infile:
        if line[0].isdigit():
            uLine = unicode(line.strip(), "utf8")
            t_id, forma,lemma, pos, dpos, cpos = uLine.split("\t")

            if pos in ["NC"]:
                lemma_pos = lemma+"#"+pos
                freqs[lemma_pos]+=1

for lemma, freq in sorted(freqs.iteritems(), key=lambda (k,v):(v), reverse=True):
    print lemma,freq


