# -*- coding: utf-8 -*-

#importo il modulo defaultdict
from collections import defaultdict

#creo un insieme vuoto di oggetti
target_npp = set()

#per ogni riga del testo, la codifico nello standard utf8 e la aggiungo all'insieme di target_npp
with open("/Users/filippogrillotti/Desktop/NomiPropri.txt") as NomiPropri:
    for line in NomiPropri:
        uLine = unicode(line.strip(), "utf8")
        target_npp.add(uLine)

#creo un dizionario che assegna alla chiave il valore predefinito 0
freqs = defaultdict(int)


with open("/Users/filippogrillotti/Desktop/output.txt", "rb") as infile:
    #per ogni riga del testo
    for line in infile:
        #se la riga iniza con un numero
        if line[0].isdigit():
            uLine = unicode(line.strip(), "utf8")
            #trasformo la stringa in una lista di parole, usando come separatore ogni tab
            t_id, forma,lemma, pos, dpos, cpos = uLine.split("\t")
            #definisco lemma_pos concatenando due elementi della lista
            lemma_pos = lemma+"#"+pos
            #se lemma_pos appartiene all'insieme di target_npp
            if lemma_pos in target_npp:
                lemma_pos = lemma+"#"+pos
                #incremento di uno il valore di frequenza nel dizionario
                freqs[lemma_pos]+=1

#per ogni coppia lemma-frequenza all'interno del dizionario ordinato in senso decrescente
for lemma, freq in sorted(freqs.iteritems(), key=lambda (k,v):(v), reverse=True):
    #stampo il lemma e la frequenza
        print lemma, freq


